Data Fields

# arm_pid_instance_q31 Struct Reference

Instance structure for the Q31 PID Control. More...

`#include <arm_math.h>`

## Data Fields
q31_t | A0
q31_t | A1
q31_t | A2
q31_t | state [3]
q31_t | Kp
q31_t | Ki
q31_t | Kd

## Detailed Description

Instance structure for the Q31 PID Control.

Definition at line 1682 of file arm_math.h.

## Field Documentation

q31_t arm_pid_instance_q31::A0

The derived gain, A0 = Kp + Ki + Kd .

Definition at line 1684 of file arm_math.h.

q31_t arm_pid_instance_q31::A1

The derived gain, A1 = -Kp - 2Kd.

Definition at line 1685 of file arm_math.h.

q31_t arm_pid_instance_q31::A2

The derived gain, A2 = Kd .

Definition at line 1686 of file arm_math.h.

q31_t arm_pid_instance_q31::state[3]

The state array of length 3.

Definition at line 1687 of file arm_math.h.

q31_t arm_pid_instance_q31::Kp

The proportional gain.

Definition at line 1688 of file arm_math.h.

q31_t arm_pid_instance_q31::Ki

The integral gain.

Definition at line 1689 of file arm_math.h.

q31_t arm_pid_instance_q31::Kd

The derivative gain.

Definition at line 1690 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines